MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
 
(не показано 12 промежуточных версий этого же участника)
Строка 607: Строка 607:
/* Апрельская тема  
/* Апрельская тема  
:root body.mediawiki:not(.wgl-theme-light) {
:root body.mediawiki:not(.wgl-theme-light) {
    --brightness-hsl: -1%;
--brightness-hsl: -1%;
    --theme-bg--hsl: 300deg 28%;
--theme-bg--hsl: 300deg 28%;
    --theme-bg--hsl-alpha: 12%;
--theme-bg--hsl-alpha: 12%;
    --color-contrast: #4d2aa7;
--color-contrast: #4d2aa7;
    --bg-color-code: #271a27;
--bg-color-code: #271a27;
    --bg-color-code-light: #2d1e2c;
--bg-color-code-light: #2d1e2c;
    --border-color-code: #412f3d;
--border-color-code: #412f3d;
    --theme-bg-color-base: #100910;
--theme-bg-color-base: #100910;
    --theme-bg-color-100: #19141f;
--theme-bg-color-100: #19141f;
    --ooui-bg--hsl: 185deg 40%;
--ooui-bg--hsl: 185deg 40%;
    --ooui-bg--hsl-alpha: 13%;
--ooui-bg--hsl-alpha: 13%;
}*/
}*/
/* #endregion */
/* #endregion */
Строка 1010: Строка 1010:
.mw-body h2 {
.mw-body h2 {
font-size: var(--font-size-huge);
font-size: var(--font-size-huge);
    font-weight: 500;
font-weight: 500;
    font-family: var(--font-family-heading);
font-family: var(--font-family-heading);
    margin-top: 1em;
margin-top: 1em;
    border-bottom: 2px solid var(--color-contrast);
border-bottom: 2px solid var(--color-contrast);
    margin-bottom: 0.33rem;
margin-bottom: 0.33rem;
    padding: 0.25rem 0.25rem 0.1rem;
padding: 0.25rem 0.25rem 0.1rem;
    line-height: 1.25;
line-height: 1.25;
}
}


.mw-body h3 {
.mw-body h3 {
font-size: var(--font-size-xxl);
font-size: var(--font-size-xxl);
    font-weight: 500;
font-weight: 500;
    font-family: var(--font-family-heading);
font-family: var(--font-family-heading);
    margin-top: 0.3em;
margin-top: 0.3em;
    margin-bottom: 0.3em;
margin-bottom: 0.3em;
    padding-bottom: 0.3em;
padding-bottom: 0.3em;
    padding-top: 0.5em;
padding-top: 0.5em;
}
}


.mw-body h3 .mw-headline {
.mw-body h3 .mw-headline {
    display: inline-block;
display: inline-block;
    position: relative;
position: relative;
}
}


.mw-body h3 .mw-headline:before {
.mw-body h3 .mw-headline:before {
content: '';
content: '';
    position: absolute;
position: absolute;
    bottom: -0.2em;
bottom: -0.2em;
    height: 2px;
height: 2px;
    width: calc(100% + 2em);
width: calc(100% + 2em);
    max-width: 85cqw;
max-width: 85cqw;
    background: linear-gradient(to right, hsl(from var(--color-contrast) h s l / 0.75) calc(100% - 2em), transparent 100%);
background: linear-gradient(to right, hsl(from var(--color-contrast) h s l / 0.75) calc(100% - 2em), transparent 100%);
}
}


Строка 1049: Строка 1049:
font-weight: 500;
font-weight: 500;
font-family: var(--font-family-heading);
font-family: var(--font-family-heading);
    padding-top: 0.5em;
padding-top: 0.5em;
    margin: 0;
margin: 0;
    margin-bottom: 0.3em;
margin-bottom: 0.3em;
}
}
/* #endregion */
/* #endregion */
Строка 1157: Строка 1157:
/*=== Шаблон:Сущность ===*/
/*=== Шаблон:Сущность ===*/
.ts-Сущность {
.ts-Сущность {
    display: grid;
display: grid;
    gap: 6px;
gap: 6px;
    grid-template-columns: 1fr auto;
grid-template-columns: 1fr auto;
    justify-content: space-between;
justify-content: space-between;
    align-items: start;
align-items: start;
margin: 0.5em 0;
margin: 0.5em 0;
}
}


.ts-Сущность:has(.ts-Сущность-field:hover) {
.ts-Сущность:has(.ts-Сущность-field:hover) {
background: var(--theme-bg-color-150);
background: rgba(var(--color-lighter--rgb), 0.025);
}
}


Строка 1183: Строка 1183:
display: flex;
display: flex;
flex-direction: column;
flex-direction: column;
    justify-content: center;
justify-content: center;
gap: 8px;
gap: 8px;
padding: 10px 18px;
padding: 10px 18px;
Строка 1189: Строка 1189:
background-color: var(--bg-color); /* --bg-color из стилей шаблона; по умолчанию: var(--theme-bg-color-200) */
background-color: var(--bg-color); /* --bg-color из стилей шаблона; по умолчанию: var(--theme-bg-color-200) */
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
    height: inherit;
height: inherit;
    box-sizing: border-box;
box-sizing: border-box;
   
--clip: 1em;  
--clip: 1em;  
clip-path: polygon(0 0, calc(100% - var(--clip)) 0, 100% var(--clip), 100% 100%, var(--clip) 100%, 0 calc(100% - var(--clip)));
clip-path: polygon(0 0, calc(100% - var(--clip)) 0, 100% var(--clip), 100% 100%, var(--clip) 100%, 0 calc(100% - var(--clip)));
Строка 1199: Строка 1199:
display: flex;
display: flex;
justify-content: space-between;
justify-content: space-between;
    align-items: center;
align-items: center;
gap: 8px;
gap: 8px;
}
}


.ts-Cut-layout__header-arrow {
.ts-Cut-layout__header-arrow {
    display: grid;
display: grid;
    grid-template-columns: 1fr auto 1fr;
grid-template-columns: 1fr auto 1fr;
    text-align: center;
text-align: center;
}
}


Строка 1270: Строка 1270:
/*=== VisualEditor ===*/
/*=== VisualEditor ===*/
.ve-ui-diffElement-hasDescriptions .ve-ui-diffElement-content {
.ve-ui-diffElement-hasDescriptions .ve-ui-diffElement-content {
    border-right: 1px solid var(--border-color-hr);
border-right: 1px solid var(--border-color-hr);
}
}


.ve-ui-diffElement-attributeChange ins {
.ve-ui-diffElement-attributeChange ins {
    background-color: rgba(0, 174, 136, 0.5) !important;
background-color: rgba(0, 174, 136, 0.5) !important;
    box-shadow: 0 0 0 1px rgba(0, 174, 136, 0.5) !important;
box-shadow: 0 0 0 1px rgba(0, 174, 136, 0.5) !important;
}
}


.ve-ui-diffElement-attributeChange del {
.ve-ui-diffElement-attributeChange del {
    background-color: rgba(209, 29, 19, 0.5) !important;
background-color: rgba(209, 29, 19, 0.5) !important;
    box-shadow: 0 0 0 1px rgba(209, 29, 19, 0.5) !important;
box-shadow: 0 0 0 1px rgba(209, 29, 19, 0.5) !important;
}
}


Строка 1885: Строка 1885:
/*=== Gallery ===*/
/*=== Gallery ===*/
.mw-body li.gallerybox {
.mw-body li.gallerybox {
    padding: 0.33em;
padding: 0.33em;
    margin: 0.33em;
margin: 0.33em;
    background-color: var(--theme-bg-color-150);
background-color: var(--theme-bg-color-150);
    border: var(--border-outset-light);
border: var(--border-outset-light);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
}
}


.mw-body li.gallerybox div.thumb {
.mw-body li.gallerybox div.thumb {
    background: #f8f9fa;
background: #f8f9fa;
    border: solid #eaecf0;
border: solid #eaecf0;
    border-width: 1px 1px 0.2em;
border-width: 1px 1px 0.2em;
    box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.02);
box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.02);
    padding: 0;
padding: 0;
    overflow: hidden;
overflow: hidden;
    background-color: var(--theme-bg-color-175);
background-color: var(--theme-bg-color-175);
    border-color: transparent;
border-color: transparent;
    border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
}
}


div.gallerytext {
div.gallerytext {
padding: 0;
padding: 0;
    letter-spacing: 0.025em;
letter-spacing: 0.025em;
    text-align: center;
text-align: center;
}
}


Строка 1914: Строка 1914:
background: var(--theme-bg-color-100);
background: var(--theme-bg-color-100);
color: var(--theme-text-color);
color: var(--theme-text-color);
}
.mw-mmv-post-image {
color: var(--theme-text-color-dark);
}
}


Строка 2064: Строка 2068:
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
box-shadow: var(--box-shadow);
box-shadow: var(--box-shadow);
}
.tabs-content {
width: 100%;
}
}


Строка 2069: Строка 2077:
ul#filetoc, .toc, .toccolours, .mw-warning {
ul#filetoc, .toc, .toccolours, .mw-warning {
border-radius: var(--border-radius-high);
border-radius: var(--border-radius-high);
    background: var(--theme-bg-color-150);
background: var(--theme-bg-color-150);
    padding: 8px 12px;
padding: 8px 12px;
    margin: 12px 0;
margin: 12px 0;
    min-width: 12em;
min-width: 12em;
    box-shadow: var(--box-shadow);
box-shadow: var(--box-shadow);
    line-height: 1.3;
line-height: 1.3;
    border: var(--border-outset-light);
border: var(--border-outset-light);
box-sizing: border-box;
}
 
.toccolours > p {
margin: 0;
}
}


Строка 2103: Строка 2116:
content: "";
content: "";
display: block;
display: block;
    width: 16px;
width: 16px;
    height: 14px;
height: 14px;
--mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewbox='0 0 12 12'%3E%3Cpath id='bulleted-list-tiny' d='M1.29 9.277c-.181.19-.29.45-.29.71 0 .26.109.52.29.71.189.18.45.29.71.29.26 0 .519-.11.71-.29.18-.19.29-.45.29-.71 0-.26-.11-.52-.29-.71-.38-.37-1.05-.37-1.42 0M10 9H6a1 1 0 1 0 0 2h4a1 1 0 1 0 0-2M6 3h4a1 1 0 1 0 0-2H6a1 1 0 1 0 0 2m4 2H6a1 1 0 1 0 0 2h4a1 1 0 1 0 0-2M1.29 1.277c.37-.37 1.04-.37 1.42 0 .18.19.29.45.29.71 0 .26-.11.52-.29.71-.191.18-.45.29-.71.29-.26 0-.521-.11-.71-.29-.181-.19-.29-.45-.29-.71 0-.26.109-.52.29-.71zM2.55 5.17c.06.03.11.08.16.12.18.19.29.45.29.71 0 .26-.11.521-.29.71-.05.04-.1.09-.16.12a.559.559 0 0 1-.17.09c-.06.03-.12.05-.19.06-.06.01-.13.02-.19.02-.26 0-.52-.11-.71-.29A1.05 1.05 0 0 1 1 6c0-.26.11-.52.29-.71.24-.23.58-.34.9-.269a.6.6 0 0 1 .19.058c.06.021.12.051.17.091z'%3E%3C/path%3E%3C/svg%3E") no-repeat;
--mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewbox='0 0 12 12'%3E%3Cpath id='bulleted-list-tiny' d='M1.29 9.277c-.181.19-.29.45-.29.71 0 .26.109.52.29.71.189.18.45.29.71.29.26 0 .519-.11.71-.29.18-.19.29-.45.29-.71 0-.26-.11-.52-.29-.71-.38-.37-1.05-.37-1.42 0M10 9H6a1 1 0 1 0 0 2h4a1 1 0 1 0 0-2M6 3h4a1 1 0 1 0 0-2H6a1 1 0 1 0 0 2m4 2H6a1 1 0 1 0 0 2h4a1 1 0 1 0 0-2M1.29 1.277c.37-.37 1.04-.37 1.42 0 .18.19.29.45.29.71 0 .26-.11.52-.29.71-.191.18-.45.29-.71.29-.26 0-.521-.11-.71-.29-.181-.19-.29-.45-.29-.71 0-.26.109-.52.29-.71zM2.55 5.17c.06.03.11.08.16.12.18.19.29.45.29.71 0 .26-.11.521-.29.71-.05.04-.1.09-.16.12a.559.559 0 0 1-.17.09c-.06.03-.12.05-.19.06-.06.01-.13.02-.19.02-.26 0-.52-.11-.71-.29A1.05 1.05 0 0 1 1 6c0-.26.11-.52.29-.71.24-.23.58-.34.9-.269a.6.6 0 0 1 .19.058c.06.021.12.051.17.091z'%3E%3C/path%3E%3C/svg%3E") no-repeat;
-webkit-mask: var(--mask);
-webkit-mask: var(--mask);
Строка 2174: Строка 2187:


.js-project-menu {
.js-project-menu {
    display: inline-flex;
display: inline-flex;
    gap: 6px;
gap: 6px;
    font-size: var(--font-size-s);
font-size: var(--font-size-s);
    flex-wrap: wrap;
flex-wrap: wrap;
}
}


.js-project-menu label {
.js-project-menu label {
    user-select: none;
user-select: none;
    -webkit-user-drag: none;
-webkit-user-drag: none;
    transition-property: background,box-shadow;
transition-property: background,box-shadow;
    transition-duration: var(--transition-time);
transition-duration: var(--transition-time);
    cursor: pointer;
cursor: pointer;
    padding: 0.2em 0.4em;
padding: 0.2em 0.4em;
    font-weight: bold;
font-weight: bold;
    border-bottom: solid 2px var(--theme-text-color-dark);
border-bottom: solid 2px var(--theme-text-color-dark);
    border-radius: var(--border-radius-low) var(--border-radius-low) 0 0;
border-radius: var(--border-radius-low) var(--border-radius-low) 0 0;
    color: var(--theme-text-color-dark);
color: var(--theme-text-color-dark);
    opacity: 0.75;
opacity: 0.75;
}
}


.js-project-menu input {
.js-project-menu input {
    display: none;
display: none;
}
}


.js-project-menu input:checked + label,
.js-project-menu input:checked + label,
.js-project-menu label:hover {
.js-project-menu label:hover {
    opacity: 1;
opacity: 1;
}
}


.js-project-menu input:not(:checked) + label {
.js-project-menu input:not(:checked) + label {
    background: unset !important;
background: unset !important;
}
}


.js-project-menu input#project-Corvax + label {
.js-project-menu input#project-Corvax + label {
    color: var(--text-color-crimson);
color: var(--text-color-crimson);
    border-bottom-color: var(--text-color-crimson);
border-bottom-color: var(--text-color-crimson);
    background: var(--bg-color-pastel-red-dark);
background: var(--bg-color-pastel-red-dark);
}
}


.js-project-menu input#project-WL + label {
.js-project-menu input#project-WL + label {
    color: var(--text-color-dark-salmon);
color: var(--text-color-dark-salmon);
    border-bottom-color: var(--text-color-dark-salmon);
border-bottom-color: var(--text-color-dark-salmon);
    background: var(--bg-color-rust-dark);
background: var(--bg-color-rust-dark);
}
}


.js-project-menu input#project-CM + label {
.js-project-menu input#project-CM + label {
    color: var(--text-color-turquoise);
color: var(--text-color-turquoise);
    border-bottom-color: var(--text-color-turquoise);
border-bottom-color: var(--text-color-turquoise);
    background: var(--bg-color-emerald-dark);
background: var(--bg-color-emerald-dark);
}
}


.js-project-menu input#project-Frontier + label {
.js-project-menu input#project-Frontier + label {
    color: var(--text-color-violet);
color: var(--text-color-violet);
    border-bottom-color: var(--text-color-violet);
border-bottom-color: var(--text-color-violet);
    background: var(--bg-color-violet-dark);
background: var(--bg-color-violet-dark);
}
}


.js-project-menu input#project-Fallout + label {
.js-project-menu input#project-Fallout + label {
    color: var(--text-color-silver);
color: var(--text-color-silver);
    border-bottom-color: var(--text-color-silver);
border-bottom-color: var(--text-color-silver);
    background: var(--bg-color-grey-dark);
background: var(--bg-color-grey-dark);
}
}


.js-project-menu input#project-SW + label {
.js-project-menu input#project-SW + label {
    color: var(--text-color-crimson);
color: var(--text-color-crimson);
    border-bottom-color: var(--text-color-crimson);
border-bottom-color: var(--text-color-crimson);
    background: var(--bg-color-pastel-red-dark);
background: var(--bg-color-pastel-red-dark);
}
}


.js-project-menu input#project-Wega + label {
.js-project-menu input#project-Wega + label {
    color: var(--text-color-pink);
color: var(--text-color-pink);
    border-bottom-color: var(--text-color-pink);
border-bottom-color: var(--text-color-pink);
    background: var(--bg-color-pink-dark);
background: var(--bg-color-pink-dark);
}
}


.js-project-menu input#project-Goob + label {
.js-project-menu input#project-Goob + label {
    color: var(--text-color-blue);
color: var(--text-color-blue);
    border-bottom-color: var(--text-color-blue);
border-bottom-color: var(--text-color-blue);
    background: var(--bg-color-blue-dark);
background: var(--bg-color-blue-dark);
}
}


/* Складной списки с кнопкой в ширину всего блока */
/* Складной списки с кнопкой в ширину всего блока */
.collapsible-title {
.collapsible-title {
    display: grid;
display: grid;
}
}


.collapsible-title > *:not(.mw-collapsible-content) {
.collapsible-title > *:not(.mw-collapsible-content) {
    grid-row: 1;
grid-row: 1;
    grid-column: 1 / 3;
grid-column: 1 / 3;
}  
}  


.collapsible-title > .mw-collapsible-content {
.collapsible-title > .mw-collapsible-content {
    grid-row: 2;
grid-row: 2;
    grid-column: 1 / 3;
grid-column: 1 / 3;
}
}


/* Делает кнопку раскрытия складного списка в виде стрелочки */
/* Делает кнопку раскрытия складного списка в виде стрелочки */
.collapsible-toggle-arrow::before {
.collapsible-toggle-arrow::before {
    --wh-ratio: 1.5;
--wh-ratio: 1.5;
    --w: 0.9em;
--w: 0.9em;
    --h: calc(var(--w) / var(--wh-ratio));
--h: calc(var(--w) / var(--wh-ratio));
    content: "";
content: "";
    background-image: url(/images/1/12/Inverted_triangle.svg);
background-image: url(/images/1/12/Inverted_triangle.svg);
    display: inline-block;
display: inline-block;
    background-size: cover;
background-size: cover;
    width: var(--w);
width: var(--w);
    height: var(--h);
height: var(--h);
    margin: 0 0.1em;
margin: 0 0.1em;
    transition: transform 60ms ease;
transition: transform 60ms ease;
}
}


.mw-collapsible:has(.mw-collapsible-toggle-collapsed) > .collapsible-toggle-arrow::before {
.mw-collapsible:has(.mw-collapsible-toggle-collapsed) > .collapsible-toggle-arrow::before {
    transform: rotate(-90deg);
transform: rotate(-90deg);
}
}


Строка 2292: Строка 2305:
.mw-collapsible:has(.collapsible-toggle-arrow) > .mw-collapsible-toggle::after,
.mw-collapsible:has(.collapsible-toggle-arrow) > .mw-collapsible-toggle::after,
.mw-collapsible:has(.collapsible-toggle-arrow) > .mw-collapsible-toggle::before {
.mw-collapsible:has(.collapsible-toggle-arrow) > .mw-collapsible-toggle::before {
    display: none;
display: none;
}
}


Строка 3638: Строка 3651:


.druid-container td {
.druid-container td {
    max-width: 0;
max-width: 0;
}
}


Строка 3748: Строка 3761:


#personal .dropdown,
#personal .dropdown,
.theme-dropdown .theme-window {
.theme-dropdown .theme-window,
.mw-echo-ui-overlay .oo-ui-popupWidget-popup {
top: unset;
top: unset;
user-select: none;
user-select: none;
position: absolute;
position: absolute;
right: -14px;
min-width: 14.5rem;
width: 14.5rem;
background: var(--ooui-bg-color-darkened);
background: var(--ooui-bg-color-darkened);
box-shadow: var(--box-shadow-high);
box-shadow: var(--box-shadow-high);
Строка 3759: Строка 3772:
transition-property: transform, opacity, visibility;
transition-property: transform, opacity, visibility;
z-index: var(--index-high);
z-index: var(--index-high);
margin-top: 0.3rem;
border: 2px solid var(--ooui-bg-color-light);
border: 2px solid var(--ooui-bg-color-light);
border-top: 2px solid var(--ooui-border-color);
border-top: 2px solid var(--ooui-border-color);
Строка 3765: Строка 3777:
padding: 0.2em;
padding: 0.2em;
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
}
#personal .dropdown,
.theme-dropdown .theme-window {
right: -14px;
margin-top: 0.3rem;
}
}


Строка 3787: Строка 3805:


#personal .dropdown label, #personal .dropdown h3,
#personal .dropdown label, #personal .dropdown h3,
.theme-dropdown .theme-window__header {
.theme-dropdown .theme-window__header,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head {
display: flex;
display: flex;
align-items: center;
align-items: center;
gap: 4px;
gap: 4px;
position: relative;
position: relative;
height: 2rem;
height: 2.2rem;
font-size: var(--font-size-ml);
font-size: var(--font-size-ml);
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
Строка 3848: Строка 3867:
#theme-preferences__content .theme-menu form {
#theme-preferences__content .theme-menu form {
position: relative;
position: relative;
display: flex;
display: grid;
flex-direction: column;
gap: 0.5em;
gap: 0.5em;
text-align: center;
text-align: center;
Строка 3938: Строка 3956:


#pt-notifications-notice .mw-echo-notifications-badge.oo-ui-flaggedElement-unseen::after, #pt-notifications-notice .mw-echo-notifications-badge.mw-echo-unseen-notifications::after {
#pt-notifications-notice .mw-echo-notifications-badge.oo-ui-flaggedElement-unseen::after, #pt-notifications-notice .mw-echo-notifications-badge.mw-echo-unseen-notifications::after {
    background-color: var(--color-contrast);
background-color: var(--color-contrast);
}
}


Строка 4080: Строка 4098:
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
#mw-scribunto-input,
#mw-scribunto-input,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
Строка 4410: Строка 4427:
.wikiEditor-ui .wikiEditor-ui-view,
.wikiEditor-ui .wikiEditor-ui-view,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
Строка 4789: Строка 4805:
.mw-body-content .recent-questions-growthexperiments-help-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-help-questions .question-posted-on, .content .recent-questions-growthexperiments-help-questions .question-posted-on, .mw-body-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .content .recent-questions-growthexperiments-mentor-questions .question-posted-on,
.mw-body-content .recent-questions-growthexperiments-help-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-help-questions .question-posted-on, .content .recent-questions-growthexperiments-help-questions .question-posted-on, .mw-body-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .content .recent-questions-growthexperiments-mentor-questions .question-posted-on,
.mwe-vue-pt-snippet,
.mwe-vue-pt-snippet,
.mw-twocolconflict-single-column.mw-twocolconflict-split-unselected, .mw-twocolconflict-split-column.mw-twocolconflict-split-unselected {
.mw-twocolconflict-single-column.mw-twocolconflict-split-unselected, .mw-twocolconflict-split-column.mw-twocolconflict-split-unselected,
.mw-special-Listfiles .TablePager_col_img_user_text, .mw-special-Listfiles .TablePager_col_img_description {
color: var(--ooui-text-color-dark);
color: var(--ooui-text-color-dark);
}
}
Строка 5002: Строка 5019:
/* Остальное */
/* Остальное */
.mw-twocolconflict-single-column .mw-twocolconflict-split-collapsed .mw-twocolconflict-split-fade, .mw-twocolconflict-split-column .mw-twocolconflict-split-collapsed .mw-twocolconflict-split-fade {
.mw-twocolconflict-single-column .mw-twocolconflict-split-collapsed .mw-twocolconflict-split-fade, .mw-twocolconflict-split-column .mw-twocolconflict-split-collapsed .mw-twocolconflict-split-fade {
    background-image: linear-gradient(rgba(255, 255, 255, 0), var(--ooui-bg-color-light));
background-image: linear-gradient(rgba(255, 255, 255, 0), var(--ooui-bg-color-light));
}
}


Строка 5062: Строка 5079:
}
}
   
   
.mw-changeslist-legend {
.mw-changeslist-legend,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head > .oo-ui-iconWidget {
display: none;
display: none;
}
}
Строка 5515: Строка 5533:
/* COM */
/* COM */
#COM.wikitable {
#COM.wikitable {
border: 1px solid var(--bg-color-blue-subtle);
border: 1px solid var(--bg-color-blue-100);
}
}


#COM.wikitable th {
#COM.wikitable th {
background: var(--bg-color-blue-150);
background: var(--bg-color-blue-100);
}
}


Строка 5525: Строка 5543:
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-blue-100);
background: var(--bg-color-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5533: Строка 5551:
#COM.wikitable thead + tbody > tr th:first-child {
#COM.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#COM.wikitable tr td {
background: var(--bg-color-blue-subtle);
}
}


/* MED */
/* MED */
#MED.wikitable {
#MED.wikitable {
border: 1px solid var(--bg-color-sky-blue-subtle);
border: 1px solid var(--bg-color-sky-blue-100);
}
}


#MED.wikitable th {
#MED.wikitable th {
background: var(--bg-color-sky-blue-150);
background: var(--bg-color-sky-blue-100);
}
}
Строка 5551: Строка 5565:
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-sky-blue-100);
background: var(--bg-color-sky-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5559: Строка 5573:
#MED.wikitable thead + tbody > tr th:first-child {
#MED.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MED.wikitable tr td {
background: var(--bg-color-sky-blue-subtle);
}
}


/* SRV */
/* SRV */
#SRV.wikitable {
#SRV.wikitable {
border: 1px solid var(--bg-color-green-subtle);
border: 1px solid var(--bg-color-green-100);
}
}


#SRV.wikitable th {
#SRV.wikitable th {
background: var(--bg-color-green-150);
background: var(--bg-color-green-100);
}
}


Строка 5577: Строка 5587:
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-green-100);
background: var(--bg-color-green-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5585: Строка 5595:
#SRV.wikitable thead + tbody > tr th:first-child {
#SRV.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SRV.wikitable tr td {
background: var(--bg-color-green-subtle);
}
}


/* ENG */
/* ENG */
#ENG.wikitable {
#ENG.wikitable {
border: 1px solid var(--bg-color-yellow-subtle);
border: 1px solid var(--bg-color-yellow-100);
}
}


#ENG.wikitable th {
#ENG.wikitable th {
background: var(--bg-color-yellow-150);
background: var(--bg-color-yellow-100);
}
}


Строка 5603: Строка 5609:
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-yellow-100);
background: var(--bg-color-yellow-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5611: Строка 5617:
#ENG.wikitable thead + tbody > tr th:first-child {
#ENG.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#ENG.wikitable tr td {
background: var(--bg-color-yellow-subtle);
}
}


/* RND */
/* RND */
#RND.wikitable {
#RND.wikitable {
border: 1px solid var(--bg-color-purple-subtle);
border: 1px solid var(--bg-color-purple-100);
}
}


#RND.wikitable th {
#RND.wikitable th {
background: var(--bg-color-purple-150);
background: var(--bg-color-purple-100);
}
}


Строка 5629: Строка 5631:
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-purple-100);
background: var(--bg-color-purple-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5637: Строка 5639:
#RND.wikitable thead + tbody > tr th:first-child {
#RND.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#RND.wikitable tr td {
background: var(--bg-color-purple-subtle);
}
}


/* SUP */
/* SUP */
#SUP.wikitable {
#SUP.wikitable {
border: 1px solid var(--bg-color-brown-subtle);
border: 1px solid var(--bg-color-brown-100);
}
}


#SUP.wikitable th {
#SUP.wikitable th {
background: var(--bg-color-brown-150);
background: var(--bg-color-brown-100);
}
}


Строка 5655: Строка 5653:
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-brown-100);
background: var(--bg-color-brown-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5663: Строка 5661:
#SUP.wikitable thead + tbody > tr th:first-child {
#SUP.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SUP.wikitable tr td {
background: var(--bg-color-brown-subtle);
}
}


/* SEC */
/* SEC */
#SEC.wikitable {
#SEC.wikitable {
border: 1px solid var(--bg-color-red-subtle);
border: 1px solid var(--bg-color-red-100);
}
}


#SEC.wikitable th {
#SEC.wikitable th {
background: var(--bg-color-red-150);
background: var(--bg-color-red-100);
}
}


Строка 5681: Строка 5675:
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-red-100);
background: var(--bg-color-red-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5689: Строка 5683:
#SEC.wikitable thead + tbody > tr th:first-child {
#SEC.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SEC.wikitable tr td {
background: var(--bg-color-red-subtle);
}
}


/* BOTANY */
/* BOTANY */
#BOTANY.wikitable {
#BOTANY.wikitable {
border: 1px solid var(--bg-color-emerald-subtle);
border: 1px solid var(--bg-color-emerald-100);
}
}


#BOTANY.wikitable th {
#BOTANY.wikitable th {
background: var(--bg-color-emerald-150);
background: var(--bg-color-emerald-100);
}
}


Строка 5707: Строка 5697:
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-emerald-100);
background: var(--bg-color-emerald-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5715: Строка 5705:
#BOTANY.wikitable thead + tbody > tr th:first-child {
#BOTANY.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#BOTANY.wikitable tr td {
background: var(--bg-color-emerald-subtle);
}
}


/* MUTATION */
/* MUTATION */
#MUTATION.wikitable {
#MUTATION.wikitable {
border: 1px solid var(--bg-color-violet-subtle);
border: 1px solid var(--bg-color-violet-100);
}
}


#MUTATION.wikitable th {
#MUTATION.wikitable th {
background: var(--bg-color-violet-150);
background: var(--bg-color-violet-100);
}
}


Строка 5733: Строка 5719:
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-violet-100);
background: var(--bg-color-violet-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5741: Строка 5727:
#MUTATION.wikitable thead + tbody > tr th:first-child {
#MUTATION.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MUTATION.wikitable tr td {
background: var(--bg-color-violet-subtle);
}
}


Строка 5754: Строка 5736:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5771: Строка 5753:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5782: Строка 5764:
/* Холодный цвет ячеек */
/* Холодный цвет ячеек */
#highlighted-header-cold.wikitable {
#highlighted-header-cold.wikitable {
border: 1px solid var(--bg-color-azure-subtle);
border: 1px solid var(--bg-color-azure-100);
}
}


#highlighted-header-cold.wikitable th {
#highlighted-header-cold.wikitable th {
background: var(--bg-color-azure-150);
background: var(--bg-color-azure-100);
}
}


Строка 5792: Строка 5774:
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-azure-100);
background: var(--bg-color-azure-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5800: Строка 5782:
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#highlighted-header-cold.wikitable tr td {
background: var(--bg-color-azure-subtle);
}
}


Строка 5812: Строка 5790:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5821: Строка 5799:
}
}


/* Палитра для Морпехов TODO: палитра в переменных */
/* Палитра для Морпехов */
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #313d45;
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5832: Строка 5810:
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable thead + tbody > tr th {
#highlighted-header-CM.wikitable thead + tbody > tr th {
background: #355f54;
background: var(--bg-color-pastel-turquoise-50);
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}